services:
  redis-master:
    image: bitnamilegacy/redis:8.0
    restart: always
    container_name: ${CONTAINER_NAME}
    networks:
      - opsmind-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:6379
    volumes:
      - ./data:/bitnami/redis/data
      - ./conf/redis.conf:/opt/bitnami/redis/mounted-etc/redis.conf
      - ./logs:/opt/bitnami/redis/logs
    environment: 
      REDIS_REPLICATION_MODE: master
      REDIS_PASSWORD: ${PANEL_REDIS_ROOT_PASSWORD}
      REDIS_EXTRA_FLAGS: --requirepass ${PANEL_REDIS_ROOT_PASSWORD}
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true